/*
 * Door-specific ADT
 */

  void Door_Init ( BOOL Local );
    /*
     * Called to initialize OpenDoors specific info (od_init namely) and
     * load the dropfile or prompt the user for local login.
     */

  void Door_Close ( void );
    /*
     * Called to destroy anything created by Door_Init.
     */

  BOOL Door_Initialized ( void );
    /*
     * Returns TRUE if od_init was already called.
     */



  void Door_SetColorScheme ( char *ColorScheme );
    /*
     * This function will set the color scheme.
     */

  void rputs(char *string);
    /*
     * Outputs the pipe or ` encoded string.
     */

  void pause( void );
    /*
     * Displays <pause> prompt.
     */

  void Display( char *FileName );
    /*
     * Displays the file given.
     */

  int YesNo( char *Query );
  int NoYes( char *Query );

  void Door_ToggleScreenPause ( void );
  void Door_SetScreenPause ( BOOL State );
  BOOL Door_AllowScreenPause ( void );

  void Door_ShowTitle ( void );
