
  void IBBS_Init ( void );
    /*
     * IBBS data is initialized.  MUST be called before any other IBBS_*
     * functions are called.
     */

  void IBBS_Close ( void );
    /*
     * Closes down IBBS.
     */

  void IBBS_LoginStats ( void );
    /*
     * Shows IBBS stats for local login.
     */

  void IBBS_Maint ( void );

  void IBBS_SendAttackPacket(struct empire *AttackingEmpire, struct Army *AttackingArmy,
    int Goal, int ExtentOfAttack, int TargetType, int ClanID[2], int DestID);

  void IBBS_SendSpy( struct empire *Empire, int DestID );

  void IBBS_ShowLeagueAscii ( void );
  void IBBS_LeagueInfo ( void );

  void IBBS_SendPacket ( int PacketType, long PacketLength, void *PacketData,
                          int DestID );

  void IBBS_UpdateReset ( void );

  void IBBS_UpdateRecon ( void );

  void IBBS_SendPacketFile ( int DestID, char *pszSendFile );


  void IBBS_SeeVillages ( BOOL Travel );

  void IBBS_TravelMaint ( void );

  void IBBS_CurrentTravelInfo ( void );
  void IBBS_BackupMaint( void );

  void IBBS_SendComeBack( int BBSIdTo, struct clan *Clan );

  BOOL IBBS_InList( char *szName, BOOL ClanName );

  void RemoveFromUList(int ClanID[2]);

  void IBBS_DistributeNDX ( void );

  void IBBS_SendReset ( int DestID );
  void IBBS_SendRecon ( int DestID );

  void LeagueKillUser ( struct UserInfo *User );

  void IBBS_PacketIn ( void );
  void IBBS_LeagueNewUser ( struct UserInfo *User );
